
QGIS Application - Bug report #1034

Georeferencer forces a greyscale pallette on indexed images

2008-04-11 05:06 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11094

Description

Process your colour indexed image with Georeferencer and you'll receive a greyscale image.

History

#1 - 2008-08-06 05:15 PM - ersts -

- Status changed from Open to In Progress

msieczka,

I cannot seem to reproduce this Ubuntu with the 0.11.0 branch.

Would you be able to provide an example dataset that you are having trouble with?

Also can you clarify where Georeferencer is forcing the greyscale, is it in the georeferencer window or one you are back in the main QGIS canvas?

-pete

#2 - 2008-08-11 08:33 AM - Maciej Sieczka -

Replying to [comment:1 ersts]:

msieczka,

I cannot seem to reproduce this Ubuntu with the 0.11.0 branch.

Would you be able to provide an example dataset that you are having trouble with?

Sample indexed pallette png attached. Steps ro reproduce:

1. Start georeferencer plugin.

2. Load the attached topo.png.

3. Select Helmert transformation.

4. Set the minimum 2 points as required.
5. Apply transformation.

In a result a new raster is created. It should be have the same colortable as the input had, but it's greyscale instead.

BTW I noticed 3 more issues with the georeferncer:

1. In the compression dialog all 3 methods are marked "unstable". Does this warning still hold true. Could you please remove it if not?

2. The "Arrange plugin windows" could do it's job better - currently it makes the file selector overlap the main georefencer window, at least on my Debian

testing with Gnome.

3. The main georeferncer window is badly missing the minimise and maximise buttons. The file selector could use the minimise button as well.

#3 - 2008-08-12 10:55 AM - ersts -

- Resolution set to fixed

- Status changed from In Progress to Closed

Replying to [comment:2 msieczka]:

In a result a new raster is created. It should be have the same colortable as the input had, but it's greyscale instead.

Fixed

BTW I noticed 3 more issues with the georeferncer:

1. In the compression dialog all 3 methods are marked "unstable". Does this warning still hold true. Could you please remove it if not?

fixed

2. The "Arrange plugin windows" could do it's job better - currently it makes the file selector overlap the main georefencer window, at least on my

Debian testing with Gnome.

fixed

3. The main georeferncer window is badly missing the minimise and maximise buttons. The file selector could use the minimise button as well.

Dialogs don't have minimize buttons, but the new auto arrange should help.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

topo.png 139 KB 2008-08-11 Maciej Sieczka -
